<%@ Page Language="C#" ValidateRequest="false" %>

<%@ Register TagPrefix="RTE" Namespace="RTE" Assembly="RichTextEditor" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head id="head1" runat="server">
	<title>RichTextEditor</title>
	<link rel="stylesheet" href="../example.css" type="text/css" />

	<script runat="server">
		protected override void OnInit(EventArgs e)
		{
			base.OnInit(e);

			Editor1.SetSecurity("*", "*", "FileProviderType", typeof(SqlFileProvider).AssemblyQualifiedName);
			Editor1.SetSecurity("*", "*", "StoragePath", "/");
			Editor1.SetSecurity("*", "*", "FileProviderArg0", "download.ashx?file=");
		}		
	</script>
</head>
<body>
	<form id="form1" runat="server">
		<h1>
			Sql file provider example</h1>
		<p>
			Storage file provider uses MSSQL Server.
		</p>
		<RTE:Editor runat="server" ID="Editor1" />
	</form>
</body>
</html>
